/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayPanel from '@clayui/panel';
import React from 'react';

import {spritemap} from './Icon';

const style = {
	overflow: 'visible',
	tabSize: 4,
};

const SchemaDisplay = ({name, schema}) => {
	return (
		<ClayPanel
			className="schema-display-root"
			collapsable
			displayTitle={name}
			displayType="secondary"
			showCollapseIcon={true}
			spritemap={spritemap}
		>
			<ClayPanel.Body className="overflow-auto">
				<pre style={style}>{JSON.stringify(schema, null, 4)}</pre>
			</ClayPanel.Body>
		</ClayPanel>
	);
};

export default SchemaDisplay;
