/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

const setSearchParamsWithoutPageReload = (qs) => {
	const newurl = `${window.location.protocol}//${window.location.host}${window.location.pathname}?${qs}`;

	window.history.pushState({path: newurl}, '', newurl);
};

export const setSearchParam = (key, value) => {
	const searchParams = new URLSearchParams(window.location.search);

	if (value && value.length > 0) {
		searchParams.set(key, value);
	}
	else {
		searchParams.delete(key);
	}

	setSearchParamsWithoutPageReload(searchParams.toString());
};

export const getSearchParam = (key) => {
	const searchParams = new URLSearchParams(window.location.search);

	return searchParams.get(key) || null;
};
